Inability to update a Windows installation

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Inability to update a Windows installation

Robert Funnell
On the Inkscape download/windows/ page it says 'exe and msi installers
are equivalent but not compatible (i.e. one can not update the
installation of the other)'. This seems to imply, for example, that a
new msi installer can update a previous msi installation. However,
when I try to install using the msi installer, I get a message saying
'Another version of this product is already installed. Installation of
this version cannot continue', and the existing version needs to be
removed before installing the new version. This happened before for
0.91-x64.msi -> 0.92.0-x64.msi and has just happened again for
0.92.0-x64.msi -> 0.92.1-x64.msi. This is under Windows 7.

Is this behaviour expected?

- Robert


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-user
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Inability to update a Windows installation

Brynn
Oh, that is a poor choice of words.  I'm not even sure what it's trying to say.

No version of Inkscape can update another.  Old versions need to be completely
uninstalled before you can install a new version (or any other version).

If anyone knows what that is trying to say, we need to change it asap.  I'd be
glad to make the edit, except I'm just not sure what it's supposed to mean.

All best,
brynn

-----Original Message-----
From: Robert Funnell
Sent: Thursday, February 16, 2017 6:21 AM
To: [hidden email]
Subject: [Inkscape-user] Inability to update a Windows installation

On the Inkscape download/windows/ page it says 'exe and msi installers
are equivalent but not compatible (i.e. one can not update the
installation of the other)'. This seems to imply, for example, that a
new msi installer can update a previous msi installation. However,
when I try to install using the msi installer, I get a message saying
'Another version of this product is already installed. Installation of
this version cannot continue', and the existing version needs to be
removed before installing the new version. This happened before for
0.91-x64.msi -> 0.92.0-x64.msi and has just happened again for
0.92.0-x64.msi -> 0.92.1-x64.msi. This is under Windows 7.

Is this behaviour expected?

- Robert


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-user 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-user
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Inability to update a Windows installation

Sebastian Zartner
It would be even better if the installers got fixed, so an update works as expected. :-)

Sebastian

Am 16.02.2017 10:51 nachm. schrieb "brynn" <[hidden email]>:
Oh, that is a poor choice of words.  I'm not even sure what it's trying to say.

No version of Inkscape can update another.  Old versions need to be completely
uninstalled before you can install a new version (or any other version).

If anyone knows what that is trying to say, we need to change it asap.  I'd be
glad to make the edit, except I'm just not sure what it's supposed to mean.

All best,
brynn

-----Original Message-----
From: Robert Funnell
Sent: Thursday, February 16, 2017 6:21 AM
To: [hidden email]
Subject: [Inkscape-user] Inability to update a Windows installation

On the Inkscape download/windows/ page it says 'exe and msi installers
are equivalent but not compatible (i.e. one can not update the
installation of the other)'. This seems to imply, for example, that a
new msi installer can update a previous msi installation. However,
when I try to install using the msi installer, I get a message saying
'Another version of this product is already installed. Installation of
this version cannot continue', and the existing version needs to be
removed before installing the new version. This happened before for
0.91-x64.msi -> 0.92.0-x64.msi and has just happened again for
0.92.0-x64.msi -> 0.92.1-x64.msi. This is under Windows 7.

Is this behaviour expected?

- Robert


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-user


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-user

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Inkscape-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/inkscape-user
Loading...